Bug 863805 - [abrt]: kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3084!
[abrt]: kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3084!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
abrt_hash:aac03ac084ae6446b969a39161a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-07 10:49 EDT by Ivan Cooper
Modified: 2013-07-31 13:54 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:54:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Cooper 2012-10-07 10:49:46 EDT
Description of problem:
Unknown cause. 
-- laptop computer (Lenovo X201) was sitting idle with lid closed. 
-- upon my return, screen was powered off 
-- keyboard including caps lock key unresponsive, had to power down by switch

Other notes:
-- screen off functions actually disabled per XFCE display control panel
-- i suspect xscreensaver or power management may be turning off screen even though control panel settings say not to
-- sometimes i find screen turned off, I type in unlock password blind and then suspend/unsuspend to turn back on. this time it didn't work because of crash.


Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/vmlinuz-3.5.4-2.fc17.x86_64 root=/dev/mapper/vg_luc-lv_luc_root ro rd.md=0 rd.dm=0 SYSFONT=True KEYTABLE=us rd.lvm.lv=vg_luc/lv_luc_root rd.luks=0 LANG=en_US.UTF-8 rd.lvm.lv=vg_luc/lv_swap rhgb quiet
kernel:         3.5.4-2.fc17.x86_64

backtrace:
:kernel BUG at drivers/gpu/drm/i915/i915_gem.c:3084!
:invalid opcode: 0000 [#1] SMP 
:CPU 0 
:Modules linked in: ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser lockd sunrpc bridge stp llc rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 ip6table_filter xt_state ip6_tables nf_conntrack fuse vhost_net tun macvtap macvlan snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm arc4 iwlwifi btusb snd_page_alloc mac80211 bluetooth thinkpad_acpi uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev coretemp kvm_intel snd_timer cfg80211 snd kvm mei lpc_ich rfkill media microcode i2c_i801 intel_ips soundcore mfd_core e1000e uinput ums_cypress usb_storage crc32c_intel ghash_clmulni_intel wmi i915 video i2c_algo_bit drm_kms_helper drm i2c
:_core [last unloaded: scsi_wait_scan]
:Pid: 1024, comm: Xorg Not tainted 3.5.4-2.fc17.x86_64 #1 LENOVO 3249CTO/3249CTO
:RIP: 0010:[<ffffffffa00843df>]  [<ffffffffa00843df>] i915_gem_object_unpin+0x4f/0x60 [i915]
:RSP: 0018:ffff880218d13b48  EFLAGS: 00010246
:RAX: ffff88022b5b9c00 RBX: ffff8802303cd800 RCX: ffffffffa00d174c
:RDX: 0000000002020407 RSI: 0000000000070008 RDI: ffff8802116e3e00
:RBP: ffff880218d13b48 R08: ffffffffa00c69c0 R09: 0000000000000514
:R10: ffffffffa00c6980 R11: 0000000000000000 R12: ffff8802303cd020
:R13: ffff88022b5b8000 R14: ffff8802303cd000 R15: ffff880218d13c88
:FS:  00007fbd0b4ec8c0(0000) GS:ffff88023bc00000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:CR2: 00007f53edc41f00 CR3: 00000002192c5000 CR4: 00000000000007e0
:DR0: 0000000000000003 DR1: 00000000000000b0 DR2: 0000000000000001
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process Xorg (pid: 1024, threadinfo ffff880218d12000, task ffff880218e14530)
:Stack:
: ffff880218d13b58 ffffffffa0094dbf ffff880218d13b88 ffffffffa00981bc
: ffff8802303cd438 ffff8802303cd800 ffffffffa00d74c0 ffff8802303cd468
: ffff880218d13bb8 ffffffffa0066785 ffff880218d13fd8 ffff8802303cd800
:Call Trace:
: [<ffffffffa0094dbf>] intel_unpin_fb_obj+0x3f/0x50 [i915]
: [<ffffffffa00981bc>] intel_crtc_disable+0x8c/0xb0 [i915]
: [<ffffffffa0066785>] drm_helper_disable_unused_functions+0x115/0x170 [drm_kms_helper]
: [<ffffffffa00680a2>] drm_crtc_helper_set_config+0x952/0xb10 [drm_kms_helper]
: [<ffffffff81126746>] ? __generic_file_aio_write+0x236/0x440
: [<ffffffff810695cf>] ? mod_timer+0x4f/0x2a0
: [<ffffffffa0021fa6>] drm_framebuffer_cleanup+0xd6/0x160 [drm]
: [<ffffffffa0091c61>] intel_user_framebuffer_destroy+0x21/0x80 [i915]
: [<ffffffffa0025a1d>] drm_mode_rmfb+0xed/0xf0 [drm]
: [<ffffffffa00154f3>] drm_ioctl+0x4d3/0x580 [drm]
: [<ffffffffa0025930>] ? drm_mode_addfb2+0x6b0/0x6b0 [drm]
: [<ffffffff811c57cb>] ? fsnotify_put_event+0x5b/0xa0
: [<ffffffff811c53df>] ? fsnotify+0x25f/0x340
: [<ffffffff81199909>] do_vfs_ioctl+0x99/0x580
: [<ffffffff8127970a>] ? inode_has_perm.isra.31.constprop.61+0x2a/0x30
: [<ffffffff8127ace7>] ? file_has_perm+0x97/0xb0
: [<ffffffff81199e89>] sys_ioctl+0x99/0xa0
: [<ffffffff81614ee9>] system_call_fastpath+0x16/0x1b
:Code: e2 ff 1f fe ff c1 e8 0d 83 c0 0f 83 e0 0f 89 c1 83 e1 0f c1 e1 0d 09 ca 84 c0 89 97 f0 00 00 00 75 07 80 a7 f2 00 00 00 f7 5d c3 <0f> 0b 0f 0b 66 66 66 66 2e 0f 1f 84 00 00 00 00 00 55 48 89 e5 
:RIP  [<ffffffffa00843df>] i915_gem_object_unpin+0x4f/0x60 [i915]
: RSP <ffff880218d13b48>
Comment 1 Fedora End Of Life 2013-07-03 15:26:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 13:54:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.